Bug 127024 - The spell checking dictionaries from OO.o should be used in mozilla
The spell checking dictionaries from OO.o should be used in mozilla
Status: CLOSED DUPLICATE of bug 207571
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-30 15:03 EDT by David Juran
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 12:04:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Juran 2004-06-30 15:03:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Now that there are a lot of nice dictionaries distributed in
openoffice.org-i18n, these should be used in mozilla as well. It could
be done as simple as just creating links from
/usr/lib/mozilla-1.6/components/myspell to 
/usr/lib/ooo-1.1/share/dict/ooo/ and then introducing a dependency fro
mozilla. Any opinions?

Version-Release number of selected component (if applicable):
mozilla-1.6-8

How reproducible:
Always

Steps to Reproduce:
1. Try spell checking a mail and notice that the only dictionary
available is en en-US one

    

Additional info:
Comment 1 Christopher Aillon 2004-06-30 15:07:48 EDT
IE doesn't depend on Word.  Why should Mozilla depend on Open Office?
Comment 2 David Juran 2004-06-30 15:12:52 EDT
So you're suggesting we should duplicate the dictionaries in mozilla,
or would it be cleaner to break them out of OpenOffice alltogether and
make both packages depend on some myspell-dictionaries package?
Comment 3 Christopher Aillon 2004-06-30 15:24:31 EDT
I didn't suggest anything other than Mozilla shouldn't depend on OO.

If you want my opinion though, I would say your last idea of putting
the dictionaries into a package which both Mozilla and OpenOffice.org
could use is the way to go.
Comment 4 Matthew Miller 2005-04-26 12:29:41 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 David Juran 2005-04-26 15:04:54 EDT
Sharing dictionaries between OpenOffice.org and mozilla/thunderbird is still a
feature that would be nice to have.
Comment 6 David Juran 2007-01-18 12:04:33 EST

*** This bug has been marked as a duplicate of 207571 ***

Note You need to log in before you can comment on or make changes to this bug.